package com.fs.live.domain;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class LiveQuestionUserLog {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 直播间ID
     */
    private Long liveId;
    /**
     * 直播间题库ID
     */
    private Long questionLiveId;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;
    /**
     * 题目类型 1单选 2多选
     */
    private Integer type;
    /**
     * 答案
     */
    private String answer;
    /**
     * 回答
     */
    private String reply;
    /**
     * 是否正确
     */
    private Integer correct;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private String createBy;
}
